ghc-lib-parser-9.14.1.20251220: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Internal.Heap.InfoTableProf

Synopsis

- module GHC.Internal.Heap.InfoTable.Types
- itblSize :: Int
- peekItbl :: Ptr StgInfoTable -> IO StgInfoTable
- pokeItbl :: Ptr StgInfoTable -> StgInfoTable -> IO ()

# Documentation

module GHC.Internal.Heap.InfoTable.Types

itblSize :: Int #

peekItbl :: Ptr StgInfoTable -> IO StgInfoTable #

Read an InfoTable from the heap into a haskell type. WARNING: This code assumes it is passed a pointer to a "standard" info table. If tables_next_to_code is enabled, it will look 1 byte before the start for the entry field.

pokeItbl :: Ptr StgInfoTable -> StgInfoTable -> IO () #